function GetVisible()
{
   if(this._visible == true)
   {
      return true;
   }
   return false;
}
function GetDisabled()
{
   if(this.nDisabledState == 1)
   {
      return true;
   }
   return false;
}
function SetDisabled(bDisabled)
{
   if(bDisabled)
   {
      this.DefaultDisabled = 1;
      this.nDisabledState = 1;
      nDisabledState = 1;
      hitArea._visible = false;
      DcStyle = cStyle add "Disabled";
      DlStyle = lStyle add "Disabled";
      DrStyle = rStyle add "Disabled";
      Center.gotoAndStop(DcStyle);
      Left.gotoAndStop(DlStyle);
      Right.gotoAndStop(DrStyle);
   }
   else
   {
      this.DefaultDisabled = 0;
      this.nDisabledState = 0;
      if(this.nHighlightState == 1)
      {
         hitArea._visible = true;
         DcStyle = cStyle add "Highlight";
         DlStyle = lStyle add "Highlight";
         DrStyle = rStyle add "Highlight";
         Center.gotoAndStop(DcStyle);
         Left.gotoAndStop(DlStyle);
         Right.gotoAndStop(DrStyle);
      }
      else
      {
         hitArea._visible = true;
         Center.gotoAndStop(cStyle);
         Left.gotoAndStop(lStyle);
         Right.gotoAndStop(rStyle);
      }
   }
   return true;
}
function SetHighlight(bHighlight)
{
   if(this._visible == false)
   {
      this.nHighlightState = 0;
      return false;
   }
   if(this.nDisabledState == 0)
   {
      if(bHighlight)
      {
         this.nHighlightState = 1;
         hitArea._visible = true;
         DcStyle = cStyle add "Highlight";
         DlStyle = lStyle add "Highlight";
         DrStyle = rStyle add "Highlight";
         Center.gotoAndStop(DcStyle);
         Left.gotoAndStop(DlStyle);
         Right.gotoAndStop(DrStyle);
      }
      else
      {
         this.nHighlightState = 0;
         hitArea._visible = true;
         Center.gotoAndStop(cStyle);
         Left.gotoAndStop(lStyle);
         Right.gotoAndStop(rStyle);
      }
      return true;
   }
   this.nHighlightState = 0;
   return false;
}
function SetRolledOver(nRolledOver)
{
   if(nRolledOver)
   {
      SetView(2);
   }
   else
   {
      SetView(1);
   }
}
function SetPressed(nPress)
{
   if(nPress)
   {
      SetView(3);
   }
   else
   {
      SetView(2);
      ShowAlternate();
   }
}
function ShowAlternate()
{
   vCurrent = Arrow._rotation;
   if(vCurrent == 0)
   {
      Arrow._rotation = 180;
   }
   else
   {
      Arrow._rotation = -180;
   }
}
function OnReleaseCallBack()
{
   myParent.TempFunc = OnRelease;
   myParent.TempFunc();
   delete myParent.TempFunc;
   SetPressed(false);
}
function OnRollOutCallBack()
{
   myParent.TempFunc = OnRollOut;
   myParent.TempFunc();
   delete myParent.TempFunc;
   SetRolledOver(false);
}
function OnRollOverCallback()
{
   myParent.TempFunc = OnRollOver;
   myParent.TempFunc();
   delete myParent.TempFunc;
   SetRolledOver(true);
   SetHighlight(false);
}
function OnPressCallBack()
{
   myParent.TempFunc = OnPress;
   myParent.TempFunc();
   delete myParent.TempFunc;
   SetPressed(true);
}
function OnDragOverCallBack()
{
   myParent.TempFunc = OnDragOver;
   myParent.TempFunc();
   delete myParent.TempFunc;
}
function OnReleaseOutsideCallBack()
{
   myParent.TempFunc = OnReleaseOutside;
   myParent.TempFunc();
   delete myParent.TempFunc;
   SetRolledOver(false);
}
function OnDragOutCallBack()
{
   myParent.TempFunc = OnDragOut;
   myParent.TempFunc();
   delete myParent.TempFunc;
}
function PerformButtonCreationRoutine()
{
   if(Style eq "MasterSwfControlled")
   {
      getStyle();
   }
   else
   {
      Style = ButtonStyle;
   }
   if(Style eq "StandardButton")
   {
      bButtonBuild("sBtnLeft","sBtnCenter","sBtnRight");
   }
   else if(Style eq "LeftArrow")
   {
      bButtonBuild("bBtnLeft","sBtnCenter","sBtnRight");
   }
   else if(Style eq "RightArrow")
   {
      bButtonBuild("sBtnLeft","sBtnCenter","nBtnRight");
   }
   else if(Style eq "MoreButton")
   {
      bButtonBuild("mBtnLeft","mBtnCenter","mBtnRight");
   }
}
function SetButtonPos(Direction, baseX, baseY, baseRight, baseLeft, baseTop, baseBot, offValue)
{
   if(!this._visible)
   {
      myLink.PositionNextButton(Direction,baseX,baseY,baseRight,baseLeft,baseTop,baseBot,offValue);
      return undefined;
   }
   fscommand("SetButtonPos",_target);
   PerformButtonCreationRoutine();
   if(Direction == 1)
   {
      this._y = baseY;
      this._x = baseLeft - offValue - nOffset * 2;
   }
   if(Direction == 2)
   {
      this._y = baseY;
      this._x = baseRight + offValue;
   }
   if(Direction == 3)
   {
      if(myAlign eq "left")
      {
         this._x = baseLeft;
      }
      else
      {
         this._x = baseRight - nOffset * 2;
      }
      this._Y = baseTop - offValue - this._height / 2;
   }
   if(Direction == 4)
   {
      if(myAlign eq "left")
      {
         this._x = baseLeft;
      }
      else
      {
         this._x = baseRight - nOffset * 2;
      }
      this._y = baseBot + offValue + this._height / 2;
   }
   UpdateMyInfo();
   myLink.PositionNextButton(undefined,this.OrigXPos,this.OrigYPos,this.xMax,this.xMin,this.yMax,this.yMin,offValue);
}
function bButtonBuild(LeftStyle, CenterStyle, RightStyle)
{
   lStyle = LeftStyle;
   cStyle = CenterStyle;
   rStyle = RightStyle;
   if(nHighlightState == undefined)
   {
      nHighlightState = 0;
      if(parseInt(DefaultDisabled) == 1)
      {
         nDisabledState = 1;
         hitArea._visible = false;
         DcStyle = cStyle add "Disabled";
         DlStyle = lStyle add "Disabled";
         DrStyle = rStyle add "Disabled";
         Center.gotoAndStop(DcStyle);
         Left.gotoAndStop(DlStyle);
         Right.gotoAndStop(DrStyle);
      }
      else
      {
         nDisabledState = 0;
         Center.gotoAndStop(cStyle);
         Left.gotoAndStop(lStyle);
         Right.gotoAndStop(rStyle);
      }
   }
   if(mySize eq "MasterSwfControlled")
   {
      if(WidthControl eq "Overall")
      {
         nMySize = myLink._width - (Left._width + Right._width);
      }
      else if(WidthControl eq "CenterPiece")
      {
         nMySize = myLink._width;
      }
   }
   else if(mySize eq "Small")
   {
      nMySize = 29;
   }
   else if(mySize eq "Standard")
   {
      nMySize = 81.6 - (Left._width + Right._width);
   }
   else if(mySize eq "Cancel")
   {
      nMySize = 63.6 - (Left._width + Right._width);
   }
   else if(mySize eq "MoreButton")
   {
      nMySize = 92 - (Left._width + Right._width);
   }
   else if(mySize eq "Wide")
   {
      nMySize = 97.8 - (Left._width + Right._width);
   }
   else if(mySize eq "Wider")
   {
      nMySize = 144.4 - (Left._width + Right._width);
   }
   else if(mySize eq "Custom")
   {
      if(WidthControl eq "Overall")
      {
         nMySize = MyWidth - (Left._width + Right._width) + 2;
      }
      else if(WidthControl eq "CenterPiece")
      {
         nMySize = MyWidth + 2;
      }
   }
   Center._width = nMySize;
   Center._x = Left._width - 1;
   Right._x = Left._width + nMySize - 2;
   TextBox._x = nMySize / 2 - TextBox._width / 2 + Left._width;
   hitArea._width = nMySize + Left._width + Right._width;
   FirstPiece = "Left." add lStyle;
   SecondPiece = "Center." add cStyle;
   ThirdPiece = "Right." add rStyle;
   nOffset = (Left._width + (Center._width - 2) + Right._width) / 2;
}
function UpdateMyInfo()
{
   OrigXPos = this._x + nOffset;
   OrigYPos = this._y;
   xMin = this._x;
   xMax = this._x + nOffset * 2;
   yMax = this._y - this.Center._height / 2;
   yMin = this._y + this.Center._height / 2;
}
function ResetButtonPos()
{
   if(AmAnchor)
   {
      var leftTemp = BgLevel[LtObject];
      var rightTemp = BgLevel[RtObject];
      var topTemp = BgLevel[TpObject];
      var botTemp = BgLevel[BtObject];
      this._x = myLink._x - nOffset;
      this._y = myLink._y;
      UpdateMyInfo();
      if(leftTemp != undefined)
      {
         leftTemp.SetMyButtonPos(1,OrigXpos,OrigYpos,xMax,xMin,yMax,yMin,LtValue);
      }
      if(rightTemp != undefined)
      {
         rightTemp.SetMyButtonPos(2,OrigXpos,OrigYpos,xMax,xMin,yMax,yMin,RtValue);
      }
      if(topTemp != undefined)
      {
         topTemp.SetMyButtonPos(3,OrigXpos,OrigYpos,xMax,xMin,yMax,yMin,TpValue);
      }
      if(botTemp != undefined)
      {
         botTemp.SetMyButtonPos(4,OrigXpos,OrigYpos,xMax,xMin,yMax,yMin,BtValue);
      }
   }
}
function bButtonPos()
{
   if(myPos eq "Linked")
   {
      nOffset = (Left._width + (Center._width - 2) + Right._width) / 2;
      if(WidthControl eq "CenterPiece")
      {
         nOffset = (Left._width + (Center._width - 2) + Right._width) / 2 + (Right._width / 2 + Left._width / 2) - Right._width;
      }
      this._x = myLink._x - nOffset;
      this._y = myLink._y;
   }
}
function GetStringForValidChild()
{
   if(BgLevel[LtObject] != undefined)
   {
      return "Lt";
   }
   if(BgLevel[RtObject] != undefined)
   {
      return "Rt";
   }
   if(BgLevel[TpObject] != undefined)
   {
      return "Tp";
   }
   if(BgLevel[BtObject] != undefined)
   {
      return "Bt";
   }
}
function SetView(vStyle)
{
   eval("this." add FirstPiece).gotoAndStop(vStyle);
   eval("this." add SecondPiece).gotoAndStop(vStyle);
   eval("this." add ThirdPiece).gotoAndStop(vStyle);
}
function AreYouAMovieClip()
{
   return true;
}
function getStyle()
{
   Style = myLink.theStyle;
}
function ActAsAnchor(NewXPos, NewYPos, MinXBoundary, MaxXBoundary, MinYBoundary, MaxYBoundary, replacedDirection, anchorPlacementObject)
{
   fscommand("ActAsAnchor",_target);
   PerformButtonCreationRoutine();
   var PlacementObjectToUse = BgLevel[anchorPlacementObject];
   var leftTemp = BgLevel[PlacementObjectToUse.LeftOffsetObject];
   var rightTemp = BgLevel[PlacementObjectToUse.RightOffsetObject];
   var topTemp = BgLevel[PlacementObjectToUse.TopOffsetObject];
   var botTemp = BgLevel[PlacementObjectToUse.BottomOffsetObject];
   var leftOffset = PlacementObjectToUse.LeftOffsetValue;
   var rightOffset = PlacementObjectToUse.RightOffsetValue;
   var topOffset = PlacementObjectToUse.TopOffsetValue;
   var bottomOffset = PlacementObjectToUse.BottomOffsetValue;
   var stringForValidChild = GetStringForValidChild();
   if(replacedDirection == 1)
   {
      leftTemp = BgLevel[this[stringForValidChild + "Object"]];
      leftOffset = BgLevel[this[stringForValidChild + "Value"]];
      if(leftOffset == undefined)
      {
         leftOffset = PlacementObjectToUse.LeftOffsetValue;
      }
   }
   else if(replacedDirection == 2)
   {
      rightTemp = BgLevel[this[stringForValidChild + "Object"]];
      rightOffset = BgLevel[this[stringForValidChild + "Value"]];
      if(rightOffset == undefined)
      {
         rightOffset = PlacementObjectToUse.RightOffsetValue;
      }
   }
   else if(replacedDirection == 3)
   {
      topTemp = BgLevel[this[stringForValidChild + "Object"]];
      topOffset = BgLevel[this[stringForValidChild + "Value"]];
      if(topOffset == undefined)
      {
         topOffset = PlacementObjectToUse.TopOffsetValue;
      }
   }
   else if(replacedDirection == 4)
   {
      botTemp = BgLevel[this[stringForValidChild + "Object"]];
      bottomOffset = BgLevel[this[stringForValidChild + "Value"]];
      if(bottomOffset == undefined)
      {
         bottomOffset = PlacementObjectToUse.BottomOffsetValue;
      }
   }
   if(myAlign eq "left")
   {
      this._x = MinXBoundary;
   }
   else
   {
      this._x = MaxXBoundary - nOffset * 2;
   }
   this._y = NewYPos;
   UpdateMyInfo();
   if(leftTemp != undefined)
   {
      leftTemp.SetMyButtonPos(1,OrigXpos,OrigYpos,xMax,xMin,yMax,yMin,leftOffset);
   }
   if(rightTemp != undefined)
   {
      rightTemp.SetMyButtonPos(2,OrigXpos,OrigYpos,xMax,xMin,yMax,yMin,rightOffset);
   }
   if(topTemp != undefined)
   {
      topTemp.SetMyButtonPos(3,OrigXpos,OrigYpos,xMax,xMin,yMax,yMin,topOffset);
   }
   if(botTemp != undefined)
   {
      botTemp.SetMyButtonPos(4,OrigXpos,OrigYpos,xMax,xMin,yMax,yMin,bottomOffset);
   }
}
function Relink()
{
   if(AmAnchor)
   {
      PerformButtonCreationRoutine();
      ResetButtonPos();
   }
}
BgLevel = _parent;
mySize = Size;
myWidth = SizeWidth;
widthControl = SizeWidthControl;
Style = ButtonStyle;
myLink = BgLevel[MasterSwfLink];
myName = _target;
AmAnchor = myLink.Anchor;
LtObject = myLink.LeftOffsetObject;
LtValue = myLink.LeftOffsetValue;
RtObject = myLink.RightOffsetObject;
RtValue = myLink.RightOffsetValue;
TpObject = myLink.TopOffsetObject;
TpValue = myLink.TopOffsetValue;
BtObject = myLink.BottomOffsetObject;
BtValue = myLink.BottomOffsetValue;
myAlign = myLink.alignment;
myParent = eval(ParentLevel);
myLink.RegisterButton(myName);
if(this.InitialVisibility)
{
   this._visible = true;
}
else
{
   this._visible = false;
}
